### Function

# Gio SimpleAsyncThreadFunc

since: 2.0

#### Declaration

    void
    (* GSimpleAsyncThreadFunc) (
      GSimpleAsyncResult* res,
      GObject* object,
      GCancellable* cancellable
    )

#### Description

Simple thread function that runs an asynchronous operation and checks for cancellation.

Available since: 2.0

#### Parameters

`res`

  Type: `GSimpleAsyncResult`

  A `GSimpleAsyncResult`.

  The data is owned by the caller of the function.

`object`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.